![logo_with_text](https://bitbucket.org/elaplace/tulips/raw/153ff99cad7cf514414969b85895892f05ee492a/tulips/logo/Tulips_acronym_text_transparent.png)

[![Documentation Status](https://readthedocs.org/projects/astro-tulips/badge/?version=latest)](https://astro-tulips.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://badge.fury.io/py/astro-tulips.svg)](https://badge.fury.io/py/astro-tulips)

`tulips` creates diagrams of the stucture and evolution of stars. It creates plots and movies based on output from 
the [MESA](http://mesa.sourceforge.net/) stellar evolution code. 
`tulips` represents stars as circles with varying size and color. 
`tulips`' capabilities include visualizing the size and perceived color of stars, their interior 
mixing and nuclear burning processes, their chemical composition, and comparing different MESA models.
![example_gif](https://bitbucket.org/elaplace/tulips/raw/153ff99cad7cf514414969b85895892f05ee492a/tulips/MESA_DIR_EXAMPLE/test_single_M10.5_movie.gif "Example mearings movie showing the evolution of 
a 10Msun star")

## Important notice
This is an alpha version of the code and is not meant for use by external parties.

## Installation
#### General
To install tulips run
```
pip install astro-tulips
```
For more information, please have a look at the dedicated 
[installage page](https://astro-tulips.readthedocs.io/en/latest/installation.html) of the tulips documentation.

**Note**: Python 2 is not supported

#### Development version
The latest development version is available directly at [bitbucket](https://bitbucket.org/elaplace/tulips)
```
git clone https://bitbucket.org/elaplace/tulips.git
cd tulips
pip install -e .
```

## Documentation
More details, examples, and tutorials can be found in the tulips [documentation](https://astro-tulips.readthedocs.io)

## Contributing
If you wish to submit a new feature or bug fix please don't hesitate to send a pull request or to submit an issue.

## Acknowledgments
tulips makes use of the open-source python modules [mesaPlot](https://github.com/rjfarmer/mesaplot) by R. Farmer, 
[colorpy](http://markkness.net/colorpy/ColorPy.html) by M. Kness, [numpy](https://numpy.org/), 
[astropy](https://www.astropy.org/) and 
[matplotlib](https://matplotlib.org/).
Logo design: A. Faber. Documentation: I. de Langen.

